package com.ycgis.macall.personalcenter.p.callback;

import com.ycgis.macall.personalcenter.p.request.HttpErrorHandler;

/*
 * 项目名：xayss
 * 作者：马超
 * 类目：MainSearchRequestCallback.java
 * 包名：com.ruansee.sx.xayss.p.callback.MainSearchRequestCallback
 * 当前修改时间：2023年07月28日 15:30:09
 * 上次修改时间：2023年07月28日 15:30:09
 * Copyright©：2023 安徽软思信息技术有限公司
 * 功能描述：
 */
public abstract class MainSearchRequestCallback <T> extends BaseRequestCallback<T> {
    /*========================= HttpException 异常 code ==========================*/
    private String paramKey;
    private Class eClass;

    public MainSearchRequestCallback(String paramKey, Class eClass) {
        this.paramKey = paramKey;
        this.eClass = eClass;
    }

    abstract public void onRequestSuccess(T result,String paramKey,Class eClass);

    @Override
    public void onRequestSuccess(T result) {
        onRequestSuccess(result,paramKey,eClass);
    }

    @Override
    public void onRequestFailure(Throwable e) {
        onRequestFailure(HttpErrorHandler.requestHandle(e));
    }

    public abstract void onRequestFailure(String msg);

    @Override
    public void onStartRequest() {

    }
}
